package vn.azteam.tpf.service.dto;

import vn.azteam.tpf.domain.TBCodeStatusEnum;

import java.io.Serializable;
import java.time.Instant;
import java.util.HashSet;
import java.util.Set;

public class TBCodeUpdateDTO implements Serializable {

    private Long id;

    private TBCropDTO tbCropDTO;

    private Integer quantity;

    private String description;

    private String pathImage;

    private TBCodeStatusEnum status;

    private Instant expiredDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public TBCropDTO getTbCropDTO() {
        return tbCropDTO;
    }

    public void setTbCropDTO(TBCropDTO tbCropDTO) {
        this.tbCropDTO = tbCropDTO;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPathImage() {
        return pathImage;
    }

    public void setPathImage(String pathImage) {
        this.pathImage = pathImage;
    }

    public TBCodeStatusEnum getStatus() {
        return status;
    }

    public void setStatus(TBCodeStatusEnum status) {
        this.status = status;
    }

    public Instant getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(Instant expiredDate) {
        this.expiredDate = expiredDate;
    }
}
